<?php

/**
 * @package     Joomla.Administrator
 * @subpackage  com_edocman
 *
 * @copyright   Copyright (C) 2005 - 2024 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */
defined('_JEXEC') or die;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Layout\LayoutHelper;
use Joomla\CMS\HTML\HTMLHelper;

$bootstrapHelper	= new EDocmanHelperBootstrap(EDocmanHelperHtml::getAdminBootstrapHelper());
$rowFluidClass		= $bootstrapHelper->getClassMapping('row-fluid');
$span6Class			= $bootstrapHelper->getClassMapping('span6');
$span12Class			= $bootstrapHelper->getClassMapping('span12');
?>

<p style="padding:10px;"><?php echo Text::_('EDOCMAN_BATCH_TIP'); ?></p>
<div class="<?php echo $rowFluidClass;?>" style="padding:10px;">
	<div class="control-group <?php echo $span12Class;?>">
		<div class="controls">
			<?php
			if (version_compare(JVERSION, '4.0.0-dev', 'ge'))
			{
				echo LayoutHelper::render('joomla.html.batch.access', array());
			}
			else
			{
				echo HTMLHelper::_('batch.access');
			}
			?>
		</div>
	</div>
</div>
<div class="<?php echo $rowFluidClass;?>" style="padding:10px;">
	<div class="control-group <?php echo $span12Class;?>">
		<div class="controls">
			<?php
			echo HTMLHelper::_('select.genericlist', HTMLHelper::_('contentlanguage.existing', true, true), 'batch[language]',
				' class="input-medium form-select"', 'value', 'text');
			?>
		</div>
	</div>
</div>
